Details
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "677c1c5582cce15a76752821",
"air_date": "2025-01-06",
"episodes": [
{
"air_date": "2025-01-06",
"crew": [],
"episode_number": 1,
"episode_type": "standard",
"guest_stars": [
{
"adult": false,
"character": "Cartographer Chase",
"credit_id": "66833c9c9cd9bceb3b21fa72",
"gender": 2,
"id": 3103914,
"known_for_department": "Acting",
"name": "Chase Hilt",
"order": 657,
"original_name": "Chase Hilt",
"popularity": 6.75,
"profile_path": "/nTB14wzCjDIzbxS9r3gTrVBrDFY.jpg"
},
{
"adult": false,
"character": "Self",
"credit_id": "677c77397c9e80b9e8723aed",
"gender": 2,
"id": 94357,
"known_for_department": "Acting",
"name": "Keith Urban",
"order": 711,
"original_name": "Keith Urban",
"popularity": 14.894,
"profile_path": "/6jB3gPO4yhdr24iqLjNS1Nw83SL.jpg"
}
],
"id": 5881256,
"name": "International New Years Foods Taste Test",
"overview": "Today, we're trying new years dishes from around the world! GMM # 2733",
"production_code": "",
"runtime": 28,
"season_number": 27,
"show_id": 65701,
"still_path": "/kvhSDGQMVmRruwJ1B5452boYo3H.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-07",
"crew": [],
"episode_number": 2,
"episode_type": "standard",
"guest_stars": [
{
"adult": false,
"character": "Chase The Rage Hilt",
"credit_id": "677d1f3355d4b38f93675612",
"gender": 2,
"id": 3103914,
"known_for_department": "Acting",
"name": "Chase Hilt",
"order": 712,
"original_name": "Chase Hilt",
"popularity": 6.75,
"profile_path": "/nTB14wzCjDIzbxS9r3gTrVBrDFY.jpg"
}
],
"id": 5883259,
"name": "Dollar Tree Vs. Expensive Product Test",
"overview": "Are these Dollar Tree products as good as the rest? GMM # 2733",
"production_code": "",
"runtime": 24,
"season_number": 27,
"show_id": 65701,
"still_path": "/pgkXAP8JW617K07fKjl21aDLoNz.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-08",
"crew": [],
"episode_number": 3,
"episode_type": "standard",
"guest_stars": [],
"id": 5886402,
"name": "Most Expensive Fast Food Items (Taste Test)",
"overview": "Which of these expensive fast food items are actually worth it? GMM # 2735",
"production_code": "",
"runtime": 19,
"season_number": 27,
"show_id": 65701,
"still_path": "/3pe007DA2OdsH8kfdeHgBxxt81C.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-09",
"crew": [],
"episode_number": 4,
"episode_type": "standard",
"guest_stars": [],
"id": 5888548,
"name": "Testing Amazon's Weirdest Products",
"overview": "Today, we're buying weird stuff off Amazon GMM # 2736",
"production_code": "",
"runtime": 20,
"season_number": 27,
"show_id": 65701,
"still_path": "/bjFAGMOxmKugdWqavT61gQd8TeA.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-10",
"crew": [],
"episode_number": 5,
"episode_type": "standard",
"guest_stars": [],
"id": 5890389,
"name": "2025 Food Trends Taste Test",
"overview": "Today, we're judging some new food trend predictions for 2025 GMM # 2737",
"production_code": "",
"runtime": 20,
"season_number": 27,
"show_id": 65701,
"still_path": "/qFPPb2i6MVLAIWICAsOymmVNk09.jpg",
"vote_average": 0,
"vote_count": 0
}
],
"id": 436570,
"name": "Season 27",
"overview": "",
"poster_path": null,
"season_number": 27,
"vote_average": 0
}TV Seasons
Details
Query the details of a TV season.
This method supports using append_to_response. Read more about this here.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
Details
Query Parameters
Example:
"en-US"
Response
200 - application/json
Details
Example:
"677c1c5582cce15a76752821"
Example:
"2025-01-06"
Show child attributes
Show child attributes
Example:
[
{
"air_date": "2025-01-06",
"crew": [],
"episode_number": 1,
"episode_type": "standard",
"guest_stars": [
{
"adult": false,
"character": "Cartographer Chase",
"credit_id": "66833c9c9cd9bceb3b21fa72",
"gender": 2,
"id": 3103914,
"known_for_department": "Acting",
"name": "Chase Hilt",
"order": 657,
"original_name": "Chase Hilt",
"popularity": 6.75,
"profile_path": "/nTB14wzCjDIzbxS9r3gTrVBrDFY.jpg"
},
{
"adult": false,
"character": "Self",
"credit_id": "677c77397c9e80b9e8723aed",
"gender": 2,
"id": 94357,
"known_for_department": "Acting",
"name": "Keith Urban",
"order": 711,
"original_name": "Keith Urban",
"popularity": 14.894,
"profile_path": "/6jB3gPO4yhdr24iqLjNS1Nw83SL.jpg"
}
],
"id": 5881256,
"name": "International New Years Foods Taste Test",
"overview": "Today, we're trying new years dishes from around the world! GMM # 2733",
"production_code": "",
"runtime": 28,
"season_number": 27,
"show_id": 65701,
"still_path": "/kvhSDGQMVmRruwJ1B5452boYo3H.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-07",
"crew": [],
"episode_number": 2,
"episode_type": "standard",
"guest_stars": [
{
"adult": false,
"character": "Chase The Rage Hilt",
"credit_id": "677d1f3355d4b38f93675612",
"gender": 2,
"id": 3103914,
"known_for_department": "Acting",
"name": "Chase Hilt",
"order": 712,
"original_name": "Chase Hilt",
"popularity": 6.75,
"profile_path": "/nTB14wzCjDIzbxS9r3gTrVBrDFY.jpg"
}
],
"id": 5883259,
"name": "Dollar Tree Vs. Expensive Product Test",
"overview": "Are these Dollar Tree products as good as the rest? GMM # 2733",
"production_code": "",
"runtime": 24,
"season_number": 27,
"show_id": 65701,
"still_path": "/pgkXAP8JW617K07fKjl21aDLoNz.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-08",
"crew": [],
"episode_number": 3,
"episode_type": "standard",
"guest_stars": [],
"id": 5886402,
"name": "Most Expensive Fast Food Items (Taste Test)",
"overview": "Which of these expensive fast food items are actually worth it? GMM # 2735",
"production_code": "",
"runtime": 19,
"season_number": 27,
"show_id": 65701,
"still_path": "/3pe007DA2OdsH8kfdeHgBxxt81C.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-09",
"crew": [],
"episode_number": 4,
"episode_type": "standard",
"guest_stars": [],
"id": 5888548,
"name": "Testing Amazon's Weirdest Products",
"overview": "Today, we're buying weird stuff off Amazon GMM # 2736",
"production_code": "",
"runtime": 20,
"season_number": 27,
"show_id": 65701,
"still_path": "/bjFAGMOxmKugdWqavT61gQd8TeA.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"air_date": "2025-01-10",
"crew": [],
"episode_number": 5,
"episode_type": "standard",
"guest_stars": [],
"id": 5890389,
"name": "2025 Food Trends Taste Test",
"overview": "Today, we're judging some new food trend predictions for 2025 GMM # 2737",
"production_code": "",
"runtime": 20,
"season_number": 27,
"show_id": 65701,
"still_path": "/qFPPb2i6MVLAIWICAsOymmVNk09.jpg",
"vote_average": 0,
"vote_count": 0
}
]
Example:
436570
Example:
"Season 27"
Example:
""
Example:
27
Example:
0